V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
DeweyReed
V2EX  ›  Android

明明已经很小心地升级 IDE 了,结果还是踩了很多坑。怎么办好呢?

  •  
  •   DeweyReed · 113 天前 · 2618 次点击
    这是一个创建于 113 天前的主题,其中的信息可能已经有所发展或是发生改变。

    Android Studio Chipmunk 都稳定版仨月了,修复版本都俩了,看更新日志也没多少新东西,就更新了。结果

    1. JAR 依赖虽然能用,但类名飘红了,没有自动补全了。
    2. 老版的一键查看布局工具没有了。最后自定义快捷键才找到。
    3. LogCat 过滤失效了。
    4. 不再提醒某个 SDK 方法是新版系统才有的。

    估计这些不是普遍存在,但这体验也忒差了。

    一流品控,Google 出品(

    23 条回复    2022-08-24 10:33:54 +08:00
    DeweyReed
        1
    DeweyReed  
    OP
       113 天前   ❤️ 1
    重装解决 50%的问题。难不成每次升级都重装(苦笑
    lusi1990
        2
    lusi1990  
       113 天前 via Android
    可能想删除一些历史包袱 ,影响到了环境
    nothingistrue
        3
    nothingistrue  
       113 天前
    你是禁了自动更新,一直等它稳定了之后才一次性更新的吗。要是这样,出问题就正常。滚动更新场景下,只有自动测试、每次更新时的增量测试、大版本发布时的全新安装全量测试(这个还不一定会做),不会包括你这种更新场景。滚动更新的东西,你要么跟着滚动更新,要么大版本的时候重装。
    Oktfolio
        4
    Oktfolio  
       113 天前
    Invalidate Cashed 和 Repair IDE 没效果吗
    DeweyReed
        5
    DeweyReed  
    OP
       113 天前
    @nothingistrue 原来这个样子呀!谢谢!考虑到 Android Studio 稳定性,我还是大版本重装吧。
    DeweyReed
        6
    DeweyReed  
    OP
       113 天前
    @Oktfolio 基本操作肯定都试过了呀。
    zhonghanwen
        7
    zhonghanwen  
       113 天前
    我每次更新升级 AS 的时候,会保留旧的版本,就是不让新版本直接覆盖旧的版本是让两个版本同时存在,如果新版本的 AS 有问题就可以快速切回旧的版本继续使用!
    Leon821
        8
    Leon821  
       113 天前
    一直在用 Canary ,比 release 感觉性能高点
    DeweyReed
        9
    DeweyReed  
    OP
       113 天前
    @zhonghanwen 请问怎么做到的呢?安装到新的位置?
    DeweyReed
        10
    DeweyReed  
    OP
       113 天前
    @Leon821 很多人都在用 Canary 欸。我一直不敢相信稳定版都不稳定,Canary 是怎么做得到的呢?
    zhonghanwen
        11
    zhonghanwen  
       112 天前   ❤️ 1
    @DeweyReed 我用的是 mac 系统,mac 系统的话直接打开应用程序然后找到 Android Studio 应用后重命名例如我会修改成 Android Studio-old ,然后官网全量下载最新版本的 Android Studio 安装就可以了。我是不使用旧版本通过更新补丁包的形式更新,这种方式更后就会覆盖掉旧版本了。
    DeweyReed
        12
    DeweyReed  
    OP
       112 天前
    @zhonghanwen 谢谢!下个版本我试试!
    zzl22100048
        13
    zzl22100048  
       112 天前
    用 tool box 安装 Android Studio 可以随便切版本
    DeweyReed
        14
    DeweyReed  
    OP
       112 天前
    @zzl22100048 我昨天还看了,最低版本是 Chipmunk ,BubbleBee 已经没有啦。
    Anonywp
        15
    Anonywp  
       112 天前
    炸过好几次了,大版本更新也是一样的,我的建议是更新出了等一段时间看看同行们反馈有没有 BUG 再升
    DeweyReed
        16
    DeweyReed  
    OP
       112 天前
    @Anonywp 我这不等了三个月,搜遍了 Reddit 才升级的。还是得自己踩坑,叹气。
    zhanlanhuizhang
        17
    zhanlanhuizhang  
       110 天前
    第一点应该是你的 com.android.tools.build:gradle ,版本太低了。换成 7.2.2
    DeweyReed
        18
    DeweyReed  
    OP
       110 天前
    @zhanlanhuizhang AGP 、Gradle 什么的升级降级都试过啦。另外,AGP 之前就和 Android Studio 版本脱勾了,应该也不是问题所在。
    DeweyReed
        19
    DeweyReed  
    OP
       101 天前
    又遇到了不提示新系统 API 的问题。用回了 7.1.3 大黄蜂哈哈哈哈
    AItsuki
        20
    AItsuki  
       101 天前
    新 api 问题我也遇到了,是 kotlin 插件的问题。kotlin 插件 1.7.10 的 bug ,回退到 1.6.10 就好了
    AItsuki
        22
    AItsuki  
       101 天前 via Android
    另外 用新 ide 没关系,我也喜欢用 canary ,养成执行 lint 检查的习惯就好了,gradle 有相应的 task 。
    DeweyReed
        23
    DeweyReed  
    OP
       101 天前
    @AItsuki 谢谢!之前搜了好多遍 IssueTracker 都没找到。
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2761 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 97ms · UTC 03:34 · PVG 11:34 · LAX 19:34 · JFK 22:34
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.